import { useState } from 'react';
import { PATHS } from '@/shared/constants/paths';
import { useNavigate } from '@/shared/lib/hooks/use-navigate';
import { FundTransferTab } from '@/entities/additional-service/ui/fund-transfer-tab'; 
import { FundTransferResultInquiryWrap } from '@/entities/additional-service/ui/fund-transfer-result-inquiry-wrap';
import { FundTransferTabKeys } from '@/entities/additional-service/model/types';
import { HeaderType } from '@/entities/common/model/types';
import { 
	useSetHeaderTitle,
	useSetHeaderType,
	useSetFooterMode,
  useSetOnBack
} from '@/widgets/sub-layout/use-sub-layout';

export const FundTransferResultInquiryPage = () => {
  const { navigate } = useNavigate();

  const [activeTab, setActiveTab] = useState<FundTransferTabKeys>(FundTransferTabKeys.ResultInquiry);

  useSetHeaderTitle('자금이체');
  useSetHeaderType(HeaderType.LeftArrow);
  useSetFooterMode(true);
  useSetOnBack(() => {
    navigate(PATHS.home);
  });

  return (
    <>
      <main>
        <div className="tab-content">
          <div className="tab-pane sub active">
            <FundTransferTab activeTab={ activeTab }></FundTransferTab>
            <FundTransferResultInquiryWrap></FundTransferResultInquiryWrap>
          </div>
        </div>
      </main>
    </>
  );
};